---
title: AggregateError() constructor
slug: Web/JavaScript/Reference/Global_Objects/AggregateError/AggregateError
tags:
  - Constructor
  - JavaScript
  - Reference
---
<div>{{JSRef}}</div>

<p>The <code><strong>AggregateError()</strong></code> constructor creates an error for several errors that need to be wrapped in a single error.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">new AggregateError(errors[, message])</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>errors</code></dt>
 <dd>An iterable of errors, may not actually be {{JSxRef("Error")}} instances.</dd>
 <dt><code>message</code>{{Optional_Inline}}</dt>
 <dd>An optional human-readable description of the aggregate error.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Creating_an_AggregateError">Creating an <code>AggregateError</code></h3>

<pre class="brush: js;">try {
  throw new AggregateError([
    new Error("some error"),
  ], 'Hello');
} catch (e) {
  console.log(e instanceof AggregateError); // true
  console.log(e.message);                   // "Hello"
  console.log(e.name);                      // "AggregateError"
  console.log(e.errors);                    // [ Error: "some error" ]
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Promise.any', '#sec-aggregate-error-constructor', 'AggregateError()')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.AggregateError.AggregateError")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Promise.any")}}</li>
</ul>
